
enum paths_bits {
	PATH_MASK_DIRS = /*11110000*/0xF0,
	PATH_U         = /*10000000*/0x80,
	PATH_L         = /*01000000*/0x40,
	PATH_R         = /*00100000*/0x20,
	PATH_D         = /*00010000*/0x10,

	PATH_MASK_WAYS = /*00001111*/0x0F,
	PATH_MASK_ARCS = /*00001100*/0x0C,
	PATH_FLAG_ARCN = /*00001000*/0x08,
	PATH_FLAG_ARCZ = /*00000100*/0x04,
	PATH_BITS_VER  = /*00000010*/0x02,
	PATH_BITS_HOR  = /*00000001*/0x01,
	PATH_BITS_ARCU = /*00000010*/0x02,
	PATH_BITS_ARCD = /*00000001*/0x01,
	PATH_CROSS     = /*00000011*/0x03,
};

extern uint8_t paths_connections[256];

extern uint8_t paths_cursor_x;
extern uint8_t paths_cursor_y;
extern uint8_t paths_cursor_col;

void paths_clear(void);

uint8_t paths_direction_step(uint8_t* p, uint8_t direction); // dir_t paths_direction_step(path_t* p, dir_t direction);
uint8_t paths_direction(uint8_t* p); //dir_t paths_direction(path_t* p);
bool paths_cursor(uint8_t direction, bool pressed);
bool paths_alpha(void);

void paths_draw(void);
