
void draw_sprite(uint8_t x, uint8_t y, unsigned char* sprite, int dx, int dy);
void draw_sprite_or(uint8_t x, uint8_t y, unsigned char* sprite);

void draw_tiles_init(uint8_t count, const void** src, unsigned char* dst, const uint8_t* base, const uint8_t* rots);
void draw_ground_init(void);
void draw_roads_init(void);
void draw_init(void);
void draw_done(void);
void draw_exit(void);

void draw_bubble(int x, int y, int w, int h);
void draw_bubble_thick(int x, int y, int w, int h);
void draw_bubble_arrow(int x, int y);
void draw_menu_road(int x, int y);
void draw_menu_truck(int x, int y, int d);
void draw_house(int x, int y, uint8_t c, uint8_t l);
void draw_cursor(void);
void draw_level_name(uint16_t level_index, int x, int y);
void draw_level_ground(void);
void draw_level_items(void);
void draw_level_trucks(void);
void draw_smoke(uint8_t x, uint8_t y);
