
#define SPRITES_SIZE 16

#define SCREEN_SIZE_X 320
#define SCREEN_SIZE_Y 240

#define SCREEN_SPRITES_X (SCREEN_SIZE_X / SPRITES_SIZE) /* 20 */
#define SCREEN_SPRITES_Y (SCREEN_SIZE_Y / SPRITES_SIZE) /* 15 */


extern uint8_t global_delay;
extern uint8_t global_date;


enum directions {
	DIR_0 = 0,
	DIR_U = 1,
	DIR_L = 2,
	DIR_R = 3,
	DIR_D = 4,
};

#define DIR_OPPOSITE(dir) (5 - (dir))


uint8_t keys_test(void);
uint8_t keys_test_dir(void);
uint8_t keys_wait(void);

//void print_text(int8_t xpos, int8_t ypos, const char *text);
//void print_number(int8_t xpos, int8_t ypos, uint16_t value);
